diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/build-support/custom-modules/ns3-vcpkg-hunter.cmake ns-3.43/build-support/custom-modules/ns3-vcpkg-hunter.cmake
--- ns-3.42/build-support/custom-modules/ns3-vcpkg-hunter.cmake	2024-05-29 15:29:46.836073000 -0700
+++ ns-3.43/build-support/custom-modules/ns3-vcpkg-hunter.cmake	2024-10-09 16:41:09.764655400 -0700
@@ -1,17 +1,6 @@
 # Copyright (c) 2017-2023 Universidade de Brasília
 #
-# This program is free software; you can redistribute it and/or modify it under
-# the terms of the GNU General Public License version 2 as published by the Free
-# Software Foundation;
-#
-# This program is distributed in the hope that it will be useful, but WITHOUT
-# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
-# FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
-# details.
-#
-# You should have received a copy of the GNU General Public License along with
-# this program; if not, write to the Free Software Foundation, Inc., 59 Temple
-# Place, Suite 330, Boston, MA  02111-1307  USA
+# SPDX-License-Identifier: GPL-2.0-only
 #
 # Author: Gabriel Ferreira <gabrielcarvfer@gmail.com>
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/build-support/macros-and-definitions.cmake ns-3.43/build-support/macros-and-definitions.cmake
--- ns-3.42/build-support/macros-and-definitions.cmake	2024-05-29 15:29:46.836073000 -0700
+++ ns-3.43/build-support/macros-and-definitions.cmake	2024-10-09 16:41:09.764655400 -0700
@@ -1,17 +1,6 @@
 # Copyright (c) 2017-2021 Universidade de Brasília
 #
-# This program is free software; you can redistribute it and/or modify it under
-# the terms of the GNU General Public License version 2 as published by the Free
-# Software Foundation;
-#
-# This program is distributed in the hope that it will be useful, but WITHOUT
-# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
-# FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
-# details.
-#
-# You should have received a copy of the GNU General Public License along with
-# this program; if not, write to the Free Software Foundation, Inc., 59 Temple
-# Place, Suite 330, Boston, MA  02111-1307 USA
+# SPDX-License-Identifier: GPL-2.0-only
 #
 # Author: Gabriel Ferreira <gabrielcarvfer@gmail.com>
 
@@ -92,19 +81,13 @@
 endmacro()
 
 macro(library_target_name libname targetname)
-  set(${targetname} lib${libname})
+  set(${targetname} ${libname})
 endmacro()
 
 macro(clear_global_cached_variables)
   # clear cache variables
   unset(build_profile CACHE)
   unset(build_profile_suffix CACHE)
-  set(lib-ns3-static-objs
-      ""
-      CACHE
-        INTERNAL
-        "list of object files from module used by NS3_STATIC and NS3_MONOLIB"
-  )
   set(ns3-contrib-libs "" CACHE INTERNAL "list of processed contrib modules")
   set(ns3-example-folders "" CACHE INTERNAL "list of example folders")
   set(ns3-execs "" CACHE INTERNAL "list of c++ executables")
@@ -121,7 +104,6 @@
   mark_as_advanced(
     build_profile
     build_profile_suffix
-    lib-ns3-static-objs
     ns3-contrib-libs
     ns3-example-folders
     ns3-execs
@@ -199,7 +181,8 @@
   set(ENABLE_TESTS OFF)
   if(${NS3_TESTS} OR ${ns3rc_tests_enabled})
     set(ENABLE_TESTS ON)
-    enable_testing()
+    # CTest creates a TEST target that conflicts with ns-3 test library
+    # enable_testing()
   else()
     list(REMOVE_ITEM libs_to_build test)
   endif()
@@ -220,6 +203,13 @@
     unset(CMAKE_VERBOSE_MAKEFILE CACHE)
   endif()
 
+  if(${NS3_FORCE_LOCAL_DEPENDENCIES})
+    set(CMAKE_FIND_FRAMEWORK NEVER)
+    set(CMAKE_FIND_APPBUNDLE NEVER)
+    set(CMAKE_FIND_USE_CMAKE_SYSTEM_PATH FALSE)
+    set(CMAKE_FIND_USE_SYSTEM_ENVIRONMENT_PATH FALSE)
+  endif()
+
   # Set warning level and warning as errors
   if(${NS3_WARNINGS})
     if(DEFINED MSVC)
@@ -319,10 +309,17 @@
   if("${CMAKE_FORMAT_PROGRAM}" STREQUAL "CMAKE_FORMAT_PROGRAM-NOTFOUND")
     message(${HIGHLIGHTED_STATUS} "Proceeding without cmake-format")
   else()
-    file(GLOB_RECURSE MODULES_CMAKE_FILES src/**/CMakeLists.txt
-         contrib/**/CMakeLists.txt examples/**/CMakeLists.txt
-         scratch/**/CMakeLists.txt
+    file(
+      GLOB
+      MODULES_CMAKE_FILES
+      src/**/CMakeLists.txt
+      contrib/**/CMakeLists.txt
+      src/**/examples/CMakeLists.txt
+      contrib/**/examples/CMakeLists.txt
+      examples/**/CMakeLists.txt
+      scratch/**/CMakeLists.txt
     )
+    file(GLOB_RECURSE SCRATCH_CMAKE_FILES scratch/**/CMakeLists.txt)
     file(
       GLOB
       INTERNAL_CMAKE_FILES
@@ -341,7 +338,7 @@
       COMMAND
         ${CMAKE_FORMAT_PROGRAM} -c
         ${PROJECT_SOURCE_DIR}/build-support/cmake-format-modules.yaml -i
-        ${MODULES_CMAKE_FILES}
+        ${MODULES_CMAKE_FILES} ${SCRATCH_CMAKE_FILES}
     )
     add_custom_target(
       cmake-format-check
@@ -684,14 +681,6 @@
         "Bindings: python bindings require Python, but it could not be found"
       )
       set(ENABLE_PYTHON_BINDINGS_REASON "missing dependency: python")
-    elseif(APPLE AND "${CMAKE_SYSTEM_PROCESSOR}" STREQUAL "arm64")
-      # Warn users that Cppyy on ARM Macs isn't supported yet
-      message(${HIGHLIGHTED_STATUS}
-              "Bindings: macOS silicon detected -- see issue 930"
-      )
-      set(ENABLE_PYTHON_BINDINGS_REASON
-          "macOS silicon detected -- see issue 930"
-      )
     else()
       check_deps(missing_packages PYTHON_PACKAGES cppyy)
       if(missing_packages)
@@ -1159,7 +1148,11 @@
   set(PLATFORM_UNSUPPORTED_POST "features. Continuing without them.")
   # Remove from libs_to_build all incompatible libraries or the ones that
   # dependencies couldn't be installed
-  if(APPLE OR WSLv1 OR WIN32)
+  if(APPLE
+     OR WSLv1
+     OR WIN32
+     OR BSD
+  )
     set(ENABLE_TAP OFF)
     set(ENABLE_EMU OFF)
     set(ENABLE_FDNETDEV FALSE)
@@ -1188,7 +1181,6 @@
   set(ns3-all-enabled-modules)
   set(ns3-libs-tests)
   set(ns3-contrib-libs)
-  set(lib-ns3-static-objs)
   set(ns3-external-libs)
 
   foreach(libname ${scanned_modules})
@@ -1388,8 +1380,8 @@
   set(filtered_in ON)
   if(NS3_FILTER_MODULE_EXAMPLES_AND_TESTS)
     set(filtered_in OFF)
-    foreach(filtered_module NS3_FILTER_MODULE_EXAMPLES_AND_TESTS)
-      if(${filtered_module} IN_LIST EXAMPLE_LIBRARIES_TO_LINK)
+    foreach(required_module ${EXAMPLE_LIBRARIES_TO_LINK})
+      if(${required_module} IN_LIST NS3_FILTER_MODULE_EXAMPLES_AND_TESTS)
         set(filtered_in ON)
       endif()
     endforeach()
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/build-support/version-defines-template.h ns-3.43/build-support/version-defines-template.h
--- ns-3.42/build-support/version-defines-template.h	2024-05-29 15:29:46.836073000 -0700
+++ ns-3.43/build-support/version-defines-template.h	2024-10-09 16:41:09.764655400 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2018 Lawrence Livermore National Laboratory
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Mathew Bielejeski <bielejeski1@llnl.gov>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/CMakeLists.txt ns-3.43/CMakeLists.txt
--- ns-3.42/CMakeLists.txt	2024-05-29 15:29:46.828072800 -0700
+++ ns-3.43/CMakeLists.txt	2024-10-09 16:41:09.756655500 -0700
@@ -11,9 +11,9 @@
 file(STRINGS VERSION NS3_VER)
 
 # minimum compiler versions
-set(AppleClang_MinVersion 11.0.0)
-set(Clang_MinVersion 10.0.0)
-set(GNU_MinVersion 9.1.0)
+set(AppleClang_MinVersion 13.1.6)
+set(Clang_MinVersion 11.0.0)
+set(GNU_MinVersion 10.1.0)
 
 # common options
 option(NS3_ASSERT "Enable assert on failure" OFF)
@@ -60,6 +60,11 @@
 option(NS3_FETCH_OPTIONAL_COMPONENTS
        "Fetch Brite, Click and Openflow dependencies" OFF
 )
+option(
+  NS3_FORCE_LOCAL_DEPENDENCIES
+  "Only search applications, headers, libraries on explicitly set directories"
+  OFF
+)
 option(NS3_GSL "Build with GSL support" ON)
 option(NS3_GTK3 "Build with GTK3 support" ON)
 option(NS3_LINK_TIME_OPTIMIZATION "Build with link-time optimization" OFF)
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/doc/doxygen.conf ns-3.43/doc/doxygen.conf
--- ns-3.42/doc/doxygen.conf	2024-05-29 15:29:46.840072900 -0700
+++ ns-3.43/doc/doxygen.conf	2024-10-09 16:41:09.768655500 -0700
@@ -1881,7 +1881,7 @@
 # If left blank no extra packages will be included.
 # This tag requires that the tag GENERATE_LATEX is set to YES.
 
-EXTRA_PACKAGES         = amsmath,amssymb
+EXTRA_PACKAGES         = amsmath,amssymb,physics
 
 # The LATEX_HEADER tag can be used to specify a user-defined LaTeX header for
 # the generated LaTeX document. The header should contain everything until the
@@ -2299,6 +2299,7 @@
                          ATTRIBUTE_VALUE_IMPLEMENT_WITH_NAME \
                          NS_UNUSED_GLOBAL \
                          NS_DEPRECATED \
+                         NS_DEPRECATED_3_43 \
                          NS_DEPRECATED_3_42 \
                          NS_DEPRECATED_3_41 \
                          NS_DEPRECATED_3_40
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/doc/doxygen.warnings.report.sh ns-3.43/doc/doxygen.warnings.report.sh
--- ns-3.42/doc/doxygen.warnings.report.sh	2024-05-29 15:29:46.840072900 -0700
+++ ns-3.43/doc/doxygen.warnings.report.sh	2024-10-09 16:41:09.768655500 -0700
@@ -22,7 +22,7 @@
 # Options ------------------------------
 #
 
-# One line sysnopsis, continue
+# One line synopsis, continue
 function synopsis_short
 {
     echo "Usage: $me [-beithv] [-s <log-file> | -l | -w] [-m <module>] [-f <regex>] [-F <regex>]"
@@ -305,6 +305,12 @@
 
 else
 
+    # We're going to modify doxygen.conf
+    # In case the user ^C's out of this we need to restore
+    # doxygen.conf, otherwise weird things happen.
+    # function restore_doxygen_conf defined below
+    trap restore_doxygen_conf INT
+
     # Modify doxygen.conf to generate all the warnings
     # We keep dot active to generate graphs in the documentation
     # (see for example PacketTagList) and warn about ill-formed
@@ -333,6 +339,14 @@
     DIRECTORY_GRAPH = no
 EOF
 
+    # Swap back to original config
+    function restore_doxygen_conf()
+    {
+        if [ -e $conf.bak ]; then
+            rm -f $conf
+            mv -f $conf.bak $conf
+        fi
+    }
 
     intro_h="introspected-doxygen.h"
     if [ $skip_intro -eq 1 ]; then
@@ -350,17 +364,11 @@
         status_report $? "./ns3 run print-introspected-doxygen"
     fi
 
-    # Waf insists on writing cruft to stdout
-    sed -i.bak -E '/^Waf:/d' doc/$intro_h
-    rm doc/$intro_h.bak
-
     verbose -n "Rebuilding doxygen docs with full errors"
     (cd "$ROOT" && ./ns3 docs doxygen-no-build >&6 2>&6 )
     status_report $? "./ns3 docs doxygen-no-build"
 
-    # Swap back to original config
-    rm -f $conf
-    mv -f $conf.bak $conf
+    restore_doxygen_conf
 fi
 
 # Filter log file
@@ -442,9 +450,21 @@
     sed 's/^[ \t]*//;s/[ \t]*$//'             \
     )
 
+# This is to catch LaTeX formula errors.
+# In this case the output is of the form:
+# "error: Problems running latex." followed by
+# "Check your installation or look for typos in _formulas.tex and check _formulas.log!"
+# and
+# "Check your installation or look for typos in _formulas_dark.tex and check _formulas_dark.log!"
+# Hence, the count can be two.
+latexWarns=$(                                 \
+    grep "Problems running latex" "$LOG"    | \
+    wc -l                                   | \
+    sed 's/^[ \t]*//;s/[ \t]*$//'             \
+    )
 
 # Total number of warnings
-warncount=$((modwarncount + addlparam + misplacedWarns))
+warncount=$((modwarncount + addlparam + misplacedWarns + latexWarns))
 
 # List of files appearing in the log
 if [ ! -z "$filter_log_results" ]
@@ -497,7 +517,7 @@
 echo "Report of Doxygen warnings"
 echo "----------------------------------------"
 echo
-echo "(All counts are lower bounds.)"
+echo "(All counts are approximate.)"
 echo
 echo "Warnings by module/directory:"
 echo
@@ -529,6 +549,27 @@
 printf "%6d files with warnings\n" $filecount
 echo
 echo
+if [ $latexWarns -ne 0 ] ; then
+    html_output=`dirname $LOG`
+    if [ $skip_doxy -eq 1 ]; then
+        html_output+="/html"
+    else
+        html_output+="/html-warn"
+    fi
+    echo "----------------------------------------"
+    echo "There are LaTeX warnings, probably math"
+    echo "  Inspect the generated LaTeX input files"
+    echo "  '$html_output/_formulas.tex'"
+    echo "  (and '$html_output/_formulas_dark.tex')."
+    echo "  as well as the LaTeX run log"
+    echo "  '$html_output/_formulas.log'"
+    echo
+    echo "The LaTeX log is:"
+    echo "$(<$html_output/_formulas.log )"
+    echo "----------------------------------------"
+    echo
+    echo
+fi
 echo "Doxygen Warnings Summary"
 echo "----------------------------------------"
 printf "%6d directories\n" $modcount
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/doc/ns3_html_theme/get_version.sh ns-3.43/doc/ns3_html_theme/get_version.sh
--- ns-3.42/doc/ns3_html_theme/get_version.sh	2024-05-29 15:29:46.876073000 -0700
+++ ns-3.43/doc/ns3_html_theme/get_version.sh	2024-10-09 16:41:09.804655600 -0700
@@ -137,13 +137,13 @@
 outf="doc/ns3_html_theme/static/ns3_version.js"
 
 # Distance from last tag
-# 'git describe HEAD --tags' will return a string such as either
+# 'git describe HEAD --tags --long' will return a string such as either
 # 'ns-3.29-159-xxx' (if we are at a distance from the last release tag) or
 # 'ns-3.29' if we are at the tag.
-distance=`git describe HEAD --tags | cut -d '-' -f 3- | cut -d '-' -f 1`
+distance=`git describe HEAD --tags --long | cut -d '-' -f 3`
 
-if [ $distance -eq 1 ]; then
-    version=`git describe HEAD --tags | cut -d '-' -f 2`
+if [ $distance -eq 1 ] | [ $distance -eq 0 ]; then
+    version=`git describe HEAD --tags --long | cut -d '-' -f 2`
     say "at version $version"
 
 elif [ $tag -eq 1 ]; then
@@ -152,7 +152,7 @@
     vers_href=
 
 else
-    version=`git describe HEAD --tags | cut -d '-' -f 3- | cut -d '-' -f 2 | cut -c 2-`
+    version=`git describe HEAD --tags --long | cut -d '-' -f 3- | cut -d '-' -f 2 | cut -c 2-`
     # Check for uncommitted changes
     changes=0
     if [ "$(git status --porcelain)" ]; then
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/examples/channel-models/three-gpp-v2v-channel-example.cc ns-3.43/examples/channel-models/three-gpp-v2v-channel-example.cc
--- ns-3.42/examples/channel-models/three-gpp-v2v-channel-example.cc	2024-05-29 15:29:46.908073000 -0700
+++ ns-3.43/examples/channel-models/three-gpp-v2v-channel-example.cc	2024-10-09 16:41:09.836655600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2020, University of Padova, Dep. of Information Engineering, SIGNET lab
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  */
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/examples/energy/energy-model-example.cc ns-3.43/examples/energy/energy-model-example.cc
--- ns-3.42/examples/energy/energy-model-example.cc	2024-05-29 15:29:46.908073000 -0700
+++ ns-3.43/examples/energy/energy-model-example.cc	2024-10-09 16:41:09.836655600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2010 Network Security Lab, University of Washington, Seattle.
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Sidharth Nabar <snabar@uw.edu>, He Wu <mdzz@u.washington.edu>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/examples/energy/energy-model-with-harvesting-example.cc ns-3.43/examples/energy/energy-model-with-harvesting-example.cc
--- ns-3.42/examples/energy/energy-model-with-harvesting-example.cc	2024-05-29 15:29:46.908073000 -0700
+++ ns-3.43/examples/energy/energy-model-with-harvesting-example.cc	2024-10-09 16:41:09.836655600 -0700
@@ -2,18 +2,7 @@
  * Copyright (c) 2014 Wireless Communications and Networking Group (WCNG),
  * University of Rochester, Rochester, NY, USA.
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Cristiano Tapparello <cristiano.tapparello@rochester.edu>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/examples/error-model/simple-error-model.cc ns-3.43/examples/error-model/simple-error-model.cc
--- ns-3.42/examples/error-model/simple-error-model.cc	2024-05-29 15:29:46.908073000 -0700
+++ ns-3.43/examples/error-model/simple-error-model.cc	2024-10-09 16:41:09.836655600 -0700
@@ -1,16 +1,5 @@
 /*
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  */
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/examples/ipv6/fragmentation-ipv6.cc ns-3.43/examples/ipv6/fragmentation-ipv6.cc
--- ns-3.42/examples/ipv6/fragmentation-ipv6.cc	2024-05-29 15:29:46.908073000 -0700
+++ ns-3.43/examples/ipv6/fragmentation-ipv6.cc	2024-10-09 16:41:09.836655600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2008-2009 Strasbourg University
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: David Gross <gdavid.devel@gmail.com>
  *         Sebastien Vincent <vincent@clarinet.u-strasbg.fr>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/examples/ipv6/fragmentation-ipv6-PMTU.cc ns-3.43/examples/ipv6/fragmentation-ipv6-PMTU.cc
--- ns-3.42/examples/ipv6/fragmentation-ipv6-PMTU.cc	2024-05-29 15:29:46.908073000 -0700
+++ ns-3.43/examples/ipv6/fragmentation-ipv6-PMTU.cc	2024-10-09 16:41:09.836655600 -0700
@@ -3,18 +3,7 @@
  * Copyright (c) 2013 Universita' di Firenze
  * Copyright (c) 2022 Jadavpur University
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: David Gross <gdavid.devel@gmail.com>
  *         Sebastien Vincent <vincent@clarinet.u-strasbg.fr>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/examples/ipv6/fragmentation-ipv6-two-MTU.cc ns-3.43/examples/ipv6/fragmentation-ipv6-two-MTU.cc
--- ns-3.42/examples/ipv6/fragmentation-ipv6-two-MTU.cc	2024-05-29 15:29:46.908073000 -0700
+++ ns-3.43/examples/ipv6/fragmentation-ipv6-two-MTU.cc	2024-10-09 16:41:09.836655600 -0700
@@ -2,18 +2,7 @@
  * Copyright (c) 2008-2009 Strasbourg University
  * Copyright (c) 2013 Universita' di Firenze
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: David Gross <gdavid.devel@gmail.com>
  *         Sebastien Vincent <vincent@clarinet.u-strasbg.fr>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/examples/ipv6/icmpv6-redirect.cc ns-3.43/examples/ipv6/icmpv6-redirect.cc
--- ns-3.42/examples/ipv6/icmpv6-redirect.cc	2024-05-29 15:29:46.908073000 -0700
+++ ns-3.43/examples/ipv6/icmpv6-redirect.cc	2024-10-09 16:41:09.836655600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2009 Strasbourg University
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: David Gross <gdavid.devel@gmail.com>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/examples/ipv6/loose-routing-ipv6.cc ns-3.43/examples/ipv6/loose-routing-ipv6.cc
--- ns-3.42/examples/ipv6/loose-routing-ipv6.cc	2024-05-29 15:29:46.908073000 -0700
+++ ns-3.43/examples/ipv6/loose-routing-ipv6.cc	2024-10-09 16:41:09.836655600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2009 Strasbourg University
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: David Gross <gdavid.devel@gmail.com>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/examples/ipv6/ping6-example.cc ns-3.43/examples/ipv6/ping6-example.cc
--- ns-3.42/examples/ipv6/ping6-example.cc	2024-05-29 15:29:46.908073000 -0700
+++ ns-3.43/examples/ipv6/ping6-example.cc	2024-10-09 16:41:09.836655600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2008-2009 Strasbourg University
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Sebastien Vincent <vincent@clarinet.u-strasbg.fr>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/examples/ipv6/radvd-one-prefix.cc ns-3.43/examples/ipv6/radvd-one-prefix.cc
--- ns-3.42/examples/ipv6/radvd-one-prefix.cc	2024-05-29 15:29:46.908073000 -0700
+++ ns-3.43/examples/ipv6/radvd-one-prefix.cc	2024-10-09 16:41:09.836655600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2009 Strasbourg University
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: David Gross <gdavid.devel@gmail.com>
  *         Sebastien Vincent <vincent@clarinet.u-strasbg.fr>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/examples/ipv6/radvd-two-prefix.cc ns-3.43/examples/ipv6/radvd-two-prefix.cc
--- ns-3.42/examples/ipv6/radvd-two-prefix.cc	2024-05-29 15:29:46.908073000 -0700
+++ ns-3.43/examples/ipv6/radvd-two-prefix.cc	2024-10-09 16:41:09.836655600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2009 Strasbourg University
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: David Gross <gdavid.devel@gmail.com>
  *         Sebastien Vincent <vincent@clarinet.u-strasbg.fr>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/examples/ipv6/test-ipv6.cc ns-3.43/examples/ipv6/test-ipv6.cc
--- ns-3.42/examples/ipv6/test-ipv6.cc	2024-05-29 15:29:46.908073000 -0700
+++ ns-3.43/examples/ipv6/test-ipv6.cc	2024-10-09 16:41:09.836655600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2008 Louis Pasteur University / Telecom Bretagne
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Angelos Chatzipapas <Angelos.CHATZIPAPAS@enst-bretagne.fr> /
  * <chatzipa@ceid.upatras.gr>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/examples/ipv6/wsn-ping6.cc ns-3.43/examples/ipv6/wsn-ping6.cc
--- ns-3.42/examples/ipv6/wsn-ping6.cc	2024-05-29 15:29:46.908073000 -0700
+++ ns-3.43/examples/ipv6/wsn-ping6.cc	2024-10-09 16:41:09.836655600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2014 Universita' di Firenze
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Tommaso Pecorella <tommaso.pecorella@unifi.it>
  */
@@ -85,6 +74,8 @@
 
     NS_LOG_INFO("Create channels.");
     LrWpanHelper lrWpanHelper;
+    lrWpanHelper.SetPropagationDelayModel("ns3::ConstantSpeedPropagationDelayModel");
+    lrWpanHelper.AddPropagationLossModel("ns3::LogDistancePropagationLossModel");
     // Add and install the LrWpanNetDevice for each node
     // lrWpanHelper.EnableLogComponents();
     NetDeviceContainer devContainer = lrWpanHelper.Install(nodes);
